"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const keanuConstants_1 = require("../../mock/registry/keanuConstants");
const registry_1 = require("../../mock/registry");
const chai_1 = require("chai");
const default_1 = require("../../../src/convert/transformers/default");
const metadata_registry_1 = require("../../../src/metadata-registry");
describe('Metadata Transformers', () => {
    describe('getTransformer', () => {
        it('should return DefaultTransformer', () => {
            const component = keanuConstants_1.KEANU_COMPONENT;
            const registryAccess = new metadata_registry_1.RegistryAccess(registry_1.mockRegistry);
            chai_1.expect(registryAccess.getTransformer(component)).to.deep.equal(new default_1.DefaultTransformer(component));
        });
    });
    require('./default');
});
//# sourceMappingURL=index.test.js.map